variable "name" {
  type        = string
  description = "Backup job name, must be globally unique"
}
variable "namespace" {
  type        = string
  description = "Kubernetes namespace in which to create resources"
}

variable "cron" {
  type        = string
  default     = null
  description = "Cron expression for when to perform backups. Leave as null for an autogenerated random time every day"
}

variable "rsync_username" {
  type        = string
  description = "Example ab1234s3"
}

variable "rsync_private_key" {
  type        = string
  description = "Private key in OpenSSH format, with access to the backup user"
}

variable "source_configuration" {
  type        = string
  description = "Configuration for what to back up, as per docker-backupper spec"
}

variable "extra_files" {
  type = list(object({
    name       = string
    mount_path = string
    content    = string
  }))
  description = "Additional files to include in the container"
  default     = []
}